Установка Symfony 2.0 на ZendServer

Из заголовка покажется идея бредовой, но устанавливать отдельный сервер ради другого проекта показалось роскошью. Работаю всегда с ZendFramework на ZendServer, но новые веяния заставляют изучать и рассматривать всё более новые решения и фреймворки. Так возникла необходимость установить Symfony 2.0, и главные грабли оказались в APC (Alternative PHP Cache).

Symfony 2 ругается при первом запуске проверки требований
http://localhost/Symfony/web/config.php
на устаревшую версию APC и просит поставить версию выше чем 3.0.7.

Через Zend Controller видно что подключен APC модуль, но его не видно в php.ini. При попытке отключить его через веб-интерфейс, он оставляет его включенным. Странное поведение модуля. Отключить его через веб-интерфейс не реально, он пишет Built-in (вроде как встроен).
Если вручную дописать в php.ini:
extension=php_apc.dll
то всё равно ничего не произойдёт, ZendServer проигнорирует его и даже не ругнётся ошибками. Symfony с тем же упорством требует обновлённый APC.

Проблема крылась в том, что ZendServer имеет целую кучу конфигурационных ini-файлов и находится рядом с php.ini файлом такой файл: datacache.ini.
В файле datacache.ini меняем в ноль значение совместимости с APC:
; When enabled, the Data Cache extension registers APC compatibility methods
zend_datacache.apc_compatibility=0

Далее уже когда ZendServer не видит своего встроенного APC, он подхватывает в php.ini наше дополнение:
extension=php_apc.dll

ZendServer использует PHP скомпилированный на VC9, потому модуль должен быть из его семейства.
http://downloads.php.net/pierre/php_apc-20110109-5.3-nts-vc9-x86.zip